Create campaign

Create a new incentive campaign.

Ansa currently supports five types of incentive campaigns:

  1. cashBack
  2. reloadBonus
  3. promoCode
  4. drop
  5. userCreationBonus

Drops

A drop directly funds user wallets at a scheduled time. Use the settings.startAt timestamp to control when the drop occurs. The configuration is a single integer amount, specified in the lowest denomination of the merchant’s currency (e.g. cents for USD).

{
  "type": "drop",
  "drop": 200
}

Promo Codes

Promo codes allow users to redeem a code for a fixed amount of credit. The configuration object must include a code, the string users will enter to redeem the promotion, and amount, the reward amount, in the lowest currency denomination.

{
  "type": "promoCode",
  "promoCode": {
    "code": "CHRISTMAS20",
    "amount": 123
  }
}

Reload Bonus

A reload bonus rewards users when they add funds to their account. You can define multiple reward tiers and choose one of two bonus modes:

  1. oncePerCampaign: a user can receive the bonus only once
  2. unlimited: a user can receive the bonus as many times as they meet the criteria

⚠️ If multiple reload bonus campaigns are active, Ansa will apply the campaign that gives the highest reward..

{
  "type": "reloadBonus",
  "reloadBonus": {
    "type": "oncePerCampaign",
    "rewardTiers": [
      {
        "minAmount": 100,
        "promoAmount": 100
      }
    ]
  }
}
{
  "type": "reloadBonus",
  "reloadBonus": {
    "type": "unlimited",
    "rewardTiers": [
      {
        "minAmount": 100,
        "promoAmount": 100
      },
      {
        "minAmount": 200,
        "promoAmount": 500
      }
    ]
  }
}

Cash back

Cash back campaigns give users a percentage of their spending back as a reward. Specify the percentage using the cashback.percentCashback field

⚠️ If multiple cash back campaigns are active, Ansa will apply the one with the highest reward.

{
  "type": "cashback",
  "cashback": {
    "percentCashback": 12
  }
}

User Creation Bonus

User Creation Bonus campaigns give users a fixed reward upon creating a wallet. These campaigns can be a great way to kickstart the wallet program by incentivizing users to sign up.

{
  "type": "userCreationBonus",
  "userCreationBonus": {
    "amount": 500
  }
}

Authorization Scope

Only the merchant secret key is authorized to call this endpoint.

Path Params
string
required

The ID of the merchant. You will receive this constant value during onboarding.

Body Params
string
required

The name of the campaign. The campaign name is not visible to end users

string
enum
required

The type of incentive campaign to create

Allowed:
settings
object
required

Shared campaign settings

cashback
object

Cash back configuration object

reloadBonus
object

Reload bonus configurations

promoCode
object

Promo code configurations

drop
object

Drop configurations

userCreationBonus
object

User creation bonus configurations

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json